Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Class KeyFactory

    java.lang.Object
      com.beasys.commerce.ebusiness.security.KeyFactory

Deprecated See BEA Commerce product offering

    public class KeyFactory

extends Object

Factory for both a private and public key. This class is a singleton class. The `KeyFactory` class is bound in JNDI to prevent the cached singleton from being garbage collected.

Field Summary
`protected static KeyFactory` | `singletonInstance` Deprecated See BEA Commerce product offering

Method Summary
`static KeyFactory` | `getInstance()` Deprecated See BEA Commerce product offering
`com.rsa.jsafe.JSAFE_PrivateKey` | `getPrivateKey()` Deprecated See BEA Commerce product offering
`static com.rsa.jsafe.JSAFE_PrivateKey` | `getPrivateKey(String password)` Deprecated See BEA Commerce product offering
`static com.rsa.jsafe.JSAFE_PublicKey` | `getPublicKey()` Deprecated See BEA Commerce product offering
`void` | `init(String password)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singletonInstance

    protected static KeyFactory singletonInstance

  Deprecated See BEA Commerce product offering

Method Detail

### getInstance

    public static KeyFactory getInstance()

  Deprecated See BEA Commerce product offering

  Retrieves the singleton instance of a `KeyFactory`.

  Returns
    The singleton

### getPublicKey

    public static com.rsa.jsafe.JSAFE_PublicKey getPublicKey()

  Deprecated See BEA Commerce product offering

  Returns the public key associated with the `KeyFactory`.

  Returns
    The public key associated with the `KeyFactory`.

### getPrivateKey

    public com.rsa.jsafe.JSAFE_PrivateKey getPrivateKey()
                                                 throws InconsistentStateException

  Deprecated See BEA Commerce product offering

  Returns the private key associated with the `KeyFactory`.

  Returns
    The private key associated with the `KeyFactory`.
  Throws
    `InconsistentStateException` - if the `KeyFactory` has not been initialized.

### getPrivateKey

    public static com.rsa.jsafe.JSAFE_PrivateKey getPrivateKey(String password)

  Deprecated See BEA Commerce product offering

  Returns the private key encrypted with password.

  Parameters
    `password` - The password used to encrypt the private key
  Returns
    The private key encrypted with password.

### init

    public void init(String password)

  Deprecated See BEA Commerce product offering

  Initializes the `KeyFactory` with a private password used for private key decryption.

  Parameters
    `password` - The private password.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved